Get wishlist
curl --request GET \
--url https://store.salesive.com/api/v1/wishlist \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/wishlist"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/wishlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"success": true,
"message": "<string>",
"data": {
"_id": "<string>",
"user": "<string>",
"shop": "<string>",
"items": [
{
"product": {
"_id": "<string>",
"name": "<string>",
"price": 123,
"images": [
"<string>"
],
"formattedPrice": "<string>",
"sku": "<string>"
},
"addedAt": "2023-11-07T05:31:56Z",
"variant": "<string>",
"variantAttributes": {}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Wishlist
Get wishlist
Retrieve the authenticated shopper’s wishlist for a specific shop.
GET
/
wishlist
Get wishlist
Request
GET /wishlist
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Provide the customer token in the format Bearer <jwt>. |
x-shop-id | string | Identify the shop that owns the wishlist. |
Successful response
{
"status": 200,
"success": true,
"message": "Wishlist retrieved",
"data": {
"_id": "693c048b5b24f53cda947ddb",
"user": "69360693a7a8f7dc8ae32d6d",
"shop": "68b8f52575da81b332af29f1",
"items": [
{
"product": {
"_id": "69fb494e51280f9f65d059ae",
"images": [
"https://cdn.salesive.com/products/wristwatch.webp"
],
"name": "Wristwatch",
"price": 45000,
"promoPrice": null,
"formattedPrice": "45000.00",
"promoActive": false,
"formattedPromoPrice": null,
"isAvailable": true,
"lowestPrice": 45000,
"highestPrice": 45000,
"image": "https://cdn.salesive.com/products/wristwatch.webp",
"plainDescription": "High quality and affordable wristwatch",
"id": "69fb494e51280f9f65d059ae"
},
"addedAt": "2026-06-09T08:51:58.782Z"
}
],
"createdAt": "2025-12-12T12:03:23.104Z",
"updatedAt": "2026-06-09T08:51:58.785Z",
"__v": 1,
"id": "693c048b5b24f53cda947ddb"
}
}
Error response
{
"status": 401,
"success": false,
"message": "Unauthorized",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Was this page helpful?
⌘I

